Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/tigervnc-client: new aport

From: Andrew Hills <ahills_at_ednos.net>
Date: Fri, 29 May 2015 00:24:33 -0400

http://tigervnc.org/
A high-performance, platform-neutral VNC client"

Note: TigerVNC also provides a server, but building it is more
effort than it is worth. It's recommended to install a different
VNC server; this builds only vncviewer.
---
 testing/tigervnc-client/APKBUILD | 43 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)
 create mode 100644 testing/tigervnc-client/APKBUILD
diff --git a/testing/tigervnc-client/APKBUILD b/testing/tigervnc-client/APKBUILD
new file mode 100644
index 0000000..7f84cdc
--- /dev/null
+++ b/testing/tigervnc-client/APKBUILD
_at_@ -0,0 +1,43 @@
+# Contributor: Andrew Hills <ahills_at_ednos.net>
+# Maintainer: Andrew Hills <ahills_at_ednos.net>
+_basepkg=tigervnc
+pkgname=$_basepkg-client
+pkgver=1.4.3
+pkgrel=0
+pkgdesc="A high-performance, platform-neutral VNC client"
+url="http://tigervnc.org/"
+arch="all"
+license="GPL2"
+depends="libjpeg-turbo libx11 fltk zlib libxext libxtst libxdamage gcc"
+depends_dev=""
+makedepends="$depends_dev cmake zlib-dev libjpeg-turbo-dev libx11-dev fltk-dev libxext-dev libxtst-dev libxdamage-dev"
+install=""
+subpackages="$pkgname-doc"
+source="saveas-https://github.com/TigerVNC/tigervnc/archive/v$pkgver.tar.gz/$_basepkg-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_basepkg-$pkgver"
+build() {
+	cd "$_builddir"
+	mkdir build && cd build || return 1
+	cmake -G "Unix Makefiles" -Wno-dev \
+	-DCMAKE_INSTALL_PREFIX=/usr \
+	-DENABLE_GNUTLS=OFF \
+	-DENABLE_NLS=OFF \
+	-DENABLE_PAM=OFF \
+	.. || return 1
+	make
+}
+
+package() {
+	cd "$_builddir"/build
+	make DESTDIR="$pkgdir" install || exit 1
+	# Apparently, these can't be disabled via cmake
+	for superfluous in x0vncserver vncserver vncconfig vncpasswd; do
+		rm "$pkgdir"/usr/share/man/man1/$superfluous.1 \
+			"$pkgdir"/usr/bin/$superfluous
+	done
+}
+
+md5sums="2177ee42fa1a3902b6feeaa7747f1c2a  tigervnc-1.4.3.tar.gz"
+sha256sums="0b2603db2b32dfd6e48f6f59618bd9819d187bfbb0c16218637d074a69756824  tigervnc-1.4.3.tar.gz"
+sha512sums="4c740211de5a93470019350ad4b233ed0e9d2464fda8eb6ec0206c01deb6cd8e8df0e9f792ce00c9e7553a39cbe40cb80b7c74dd5469ae4ced79d33046f76b95  tigervnc-1.4.3.tar.gz"
-- 
2.4.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri May 29 2015 - 00:24:33 GMT